// ODMF - The One Day Money Flow Indicator 
 
// www.fxwords.com/m/money-flow-index.html
// www.paritech.com.au/education/technical/custom/indicators/oneday.asp
// www.iqchart.com/101/tech_moneyflow.asp
 
function init()
{
    with (ODMF) {
        createBuffer("ODMF");
        setBufferColor("ODMF", "#00FF00");
        setBufferDrawStyle("ODMF", DrawStyle.LINE);
       setAutoChangeMaxMin("ODMF");
   }
}

function start()
{
    ODMF.label = "The One Day Money Flow Indicator";
    ODMF.addLevel(0, "#1FFF00"); 
    var Close = Shared.close();
    var Low = Shared.low();
    var High = Shared.high();
    var Volume = Shared.volume();


    var num = Shared.numberOfQuotes();
    var ODMFBuf = new Array(num);
    for (var i = 0; i < num; ++i) {
        ODMFBuf[i] = (((Close[i] - Low[i]) - (High[i] - Close[i])) / (High[i] - Low[i])) * Volume[i] ;
    }
    ODMF.setBufferData("ODMF", ODMFBuf);
}
